Bug 1401435 - Debugging Information For Static Libraries
Summary: Debugging Information For Static Libraries
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On: 1395280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 09:14 UTC by Jan Kurik
Modified: 2018-11-30 20:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:32:27 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-12-05 09:14:36 UTC
This is a tracking bug for Change: Debugging Information For Static Libraries
For more details, see: https://fedoraproject.org//wiki/Changes/StaticLibraryDebuginfo

This change proposes to ship debugging information in static libraries.

Comment 1 Mohan Boddu 2017-02-01 14:15:29 UTC
Is it ready for a mass rebuild?

Comment 2 Florian Weimer 2017-02-01 15:16:42 UTC
(In reply to Mohan Boddu from comment #1)
> Is it ready for a mass rebuild?

This depends on bug 1395280, which is not ready.

The change affects only 800 source packages and packages which need rebuilding can be determined easily, so we do not absolutely *require* implementation before the mass rebuild.

Comment 3 Jan Kurik 2017-02-28 10:08:34 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 4 Fedora End Of Life 2017-02-28 10:43:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Jan Kurik 2017-03-01 09:47:36 UTC
May I ask for status update on this Change, as requested in Comment #3 ?

Comment 6 Mark Wielaard 2017-03-03 12:55:40 UTC
bug 1395280 is still not ready, so this won't make f26. Sorry. We didn't really come up with a plan that everybody agreed upon. So we'll have to move this to f27.

Comment 7 Jan Kurik 2017-03-17 05:41:43 UTC
The Change is deferred to F27: https://pagure.io/fesco/issue/1688#comment-430734

Comment 8 Jan Kurik 2017-08-15 06:54:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 9 Ben Cotton 2018-11-27 16:32:00 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 20:32:27 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.